Subject: Re: [bitcoin-dev] A BIP proposal for segwit addresses

From: Peter Todd <[email-masked]>
Date: Tue, 21 Mar 2017 15:14:54 -0400

On Tue, Mar 21, 2017 at 05:16:30PM +0100, Andreas Schildbach via bitcoin-dev wrote:
> Why use Base 32 when the QR code alphanumeric mode allows 44 characters?
> In Bitcoin Wallet, I use Base 43 (alphabet:
> "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ$*+-./:") for most efficient QR
> code encoding. I only leave out the space character because it gets
> replaced by "+" in URLs.

Doing that only makes addresses a few % shorter, at the cost of significant
downsides.  For example, not everyone knows what those additional characters
are called, particularly for non-English-speaking users. Non-alphanumeric
characters also complicate using the addresses in a variety of contexts ('/'
in particularly isn't valid in filenames).

I'd suggest you review the "Rational" section of the BIP for more details:

https://github.com/sipa/bech32/blob/master/bip-witaddr.mediawiki#rationale

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org